Bug 1276442 - gstreamer-python needs rebuilds
Summary: gstreamer-python needs rebuilds
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer-python
Version: 25
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-29 17:44 UTC by Luya Tshimbalanga
Modified: 2017-12-12 11:11 UTC (History)
7 users (show)

Fixed In Version: 0.10.22-9.fc23
Doc Type: Bug Fix
Doc Text:
Cause: traceback on gstreamer-python Consequence: Application like soundconverter failed to run Fix: Added dependency Result: Soundconverter is now running fine.
Clone Of:
Environment:
Last Closed: 2017-12-12 11:11:02 UTC


Attachments (Terms of Use)

Description Luya Tshimbalanga 2015-10-29 17:44:13 UTC
Description of problem:
Running SoundConverter failed to start due to this message
"SoundConverter needs python-gstreamer 0.10!". It turned out gstreamer-ython is broken for Fedora 23.


Version-Release number of selected component (if applicable):
0.10.22

How reproducible:
Always on a freshly installed Fedora 23

Steps to Reproduce:
1. Start an application like SoundConverter
2. 
3.

Actual results:
Application failed to start


Expected results:
Application should start

Additional info:
From the suggestion posted on
https://bodhi.fedoraproject.org/updates/FEDORA-2015-f44e51d215,

running python followed by import gst resulted to:

$ python Python 2.7.10 (default, Sep 8 2015, 17:20:17) [GCC 5.1.1 20150618 (Red Hat 5.1.1-4)] on linux2 Type "help", "copyright", "credits" or "license" for more information.

import gst

Traceback (most recent call last): File "--RAW HTML NOT ALLOWED--", line 1, in --RAW HTML NOT ALLOWED-- File "/usr/lib64/python2.7/site-packages/gst-0.10/gst/init.py", line 193, in --RAW HTML NOT ALLOWED-- from _gst import * ImportError: /usr/lib64/python2.7/site-packages/gst-0.10/gst/_gst.so: undefined symbol: libxml_xmlDocPtrWrap


The issues affected applications using gstreamer-python raising the severity to high.

Comment 1 Luya Tshimbalanga 2015-10-29 23:48:24 UTC
Downgrading gstreamer-python to F22 version allows application like SoundConverter running. Testing example below:

$ sudo dnf downgrade gstreamer-python --releasever=22
Dependencies resolved.
================================================================================
 Package                Arch         Version                 Repository    Size
================================================================================
Downgrading:
 gstreamer-python       x86_64       0.10.22-7.fc22          fedora       321 k

Transaction Summary
================================================================================
Downgrade  1 Package

Total download size: 321 k
Is this ok [y/N]: y
Downloading Packages:
gstreamer-python-0.10.22-7.fc22.x86_64.rpm       22 kB/s | 321 kB     00:14    
--------------------------------------------------------------------------------
Total                                            19 kB/s | 321 kB     00:17     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Downgrading : gstreamer-python-0.10.22-7.fc22.x86_64                      1/2 
  Erasing     : gstreamer-python-0.10.22-8.fc23.x86_64                      2/2 
  Verifying   : gstreamer-python-0.10.22-7.fc22.x86_64                      1/2 
  Verifying   : gstreamer-python-0.10.22-8.fc23.x86_64                      2/2 

Downgraded:
  gstreamer-python.x86_64 0.10.22-7.fc22                                        

Complete!

$ soundconverter 
SoundConverter 2.1.6
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
  using Gstreamer version: 0.10.36
  using 4 thread(s)
  using gio
  "xingmux" gstreamer element not found, disabling Xing Header output.
  "lame" gstreamer element not found, disabling MP3 output.
  "faac" gstreamer element not found, disabling AAC output.


Running python and import gst:
$ python
Python 2.7.10 (default, Sep  8 2015, 17:20:17) 
[GCC 5.1.1 20150618 (Red Hat 5.1.1-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gst
** Message: pygobject_register_sinkfunc is deprecated (GstObject)

Those above test demonstrate the current gstreamer-python is broken on F23.

Comment 2 Adam Williamson 2015-11-03 20:27:14 UTC
pbrobinson added a python-libxml2 dependency, but I still see these errors, on Rawhide:

>>> import gst

(gst-plugin-scanner:6850): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstpython.so': /usr/lib64/gstreamer-0.10/libgstpython.so: undefined symbol: PyList_Insert
libGL error: failed to open drm device: Permission denied
libGL error: failed to load driver: nouveau
** Message: pygobject_register_sinkfunc is deprecated (GstObject)

the first in particular looks bad, I'll try and figure it out.

Comment 3 Adam Williamson 2015-11-03 20:35:13 UTC
hum, only seems to happen on the *first* try? not sure. weird.

Comment 4 Luya Tshimbalanga 2015-11-10 02:52:45 UTC
(In reply to awilliam@redhat.com from comment #3)
> hum, only seems to happen on the *first* try? not sure. weird.

Probably a remain of the old version waiting to flushed on the next try. =)
Joking aside, I am closing this report now therecent version (0.10.22-9.fc23) including python-libxml2 dependency resolves the issue.

Comment 5 Michael Schwendt 2016-12-17 00:38:00 UTC
Reproducible with F25.

Also see bug 1367498. I don't know yet what else may be broken in soundconverter for a few releases of Fedora, but this is one problem.

Comment 6 Michael Schwendt 2016-12-17 00:40:52 UTC
Oh, and a simple rebuild alone doesn't fix anything.

Comment 7 Adam Williamson 2016-12-17 00:43:31 UTC
soundconverter has a port to gstreamer 1.0 and python3 on upstream development branches, no releases yet though.

Comment 8 Michael Schwendt 2016-12-17 00:47:44 UTC
As the previous package maintainer of soundconverter I'm aware of that. See my comments on @devel list where I've mentioned the old 3.0.0-alpha1 release ( https://launchpad.net/soundconverter/3.x ), whereas git is down to 2.9.0 something. I've also been active in upstream launchpad, and 3.0.0-alpha1 didn't work at all for me. Just making a package build is _not_ enough, and in the case of Soundconverter, much more work has been necessary for a long time. Spec %changelog tells parts of the story.

Comment 9 Adam Williamson 2016-12-17 00:57:19 UTC
I got a build of the current stuff which at least worked for my purposes (FLAC to Vorbis), but it didn't actually fix the unrelated bug I was trying to get fixed, so I didn't pursue it any further. not sure if I still have it.

Comment 10 Michael Schwendt 2016-12-17 23:44:34 UTC
Strange to read something like that from you. Which "unrelated bug" is that? And did it affect Soundconverter as packaged by Fedora, too?

Comment 11 Adam Williamson 2016-12-19 23:33:13 UTC
well, yes, because that's what I was using. the bug was to do with soundconverter choking on files and/or metadata containing certain characters (like ').

Comment 12 Michael Schwendt 2016-12-25 22:33:13 UTC
It could be that the "undefined symbol: PyList_Insert" is normal and only appears once during plugin registry update, because:

$ rpm -q gstreamer-python ; rm -rf ~/.gstreamer-0.10/ ; gst-inspect-0.10 |head -1
gstreamer-python-0.10.22-11.fc25.x86_64

(gst-plugin-scanner:2175): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstpython.so': /usr/lib64/gstreamer-0.10/libgstpython.so: undefined symbol: PyList_Insert
xvimagesink:  xvimagesink: Video sink

Comment 13 Fedora End Of Life 2017-11-16 19:03:59 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-12-12 11:11:02 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.